Download it now!
Bug 118048 - Dragging a 2D object around in the presence of complex 3D object is slow and CPU hogging
Summary: Dragging a 2D object around in the presence of complex 3D object is slow and ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, perf
Depends on:
Blocks: Object
  Show dependency treegraph
 
Reported: 2018-06-07 07:42 UTC by Telesto
Modified: 2020-08-13 22:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Example file (27.05 KB, application/vnd.oasis.opendocument.graphics)
2018-06-07 07:43 UTC, Telesto
Details
Callgrind output from master (2.11 MB, application/x-xz)
2018-06-22 13:43 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-06-07 07:42:59 UTC
Description:
Dragging a 2D object around in the presence of complex 3D object with Pattern fill is slow and CPU hogging. Related: bug 107757 

Steps to Reproduce:
1. Open the attached file
2. Disable the sidebar (maybe interfering)
3. Select the 2D smiley
4. Drag it around & monitor CPU


Actual Results:  
Slowness

Expected Results:
Less interference for a 3D object


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: b292a27698e85fd9d60c03613c3b0c67835c4dc1
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-06-07_00:23:34
Locale: nl-NL (nl_NL); Calc: CL

and in
LibreOffice 3.5.7.2 
Build ID: 3215f89-f603614-ab984f2-7348103-1225a5


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Telesto 2018-06-07 07:43:36 UTC
Created attachment 142581 [details]
Example file
Comment 2 Buovjaga 2018-06-22 13:43:40 UTC
Created attachment 143042 [details]
Callgrind output from master

Repro

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 5b42a17dc99fba2ccf8dd8d0a8e0e4e836e30120
CPU threads: 8; OS: Linux 4.17; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 22nd 2018
Comment 3 QA Administrators 2019-06-23 02:51:16 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug